package client

import (
	crc "git.loafle.net/commons_go/rpc/client"
	crcrs "git.loafle.net/commons_go/rpc/client/rwc/socket"
	csc "git.loafle.net/commons_go/server/client"
)

func New(addr string, clientHandler ClientHandler, socketHandler csc.SocketHandler) crc.Client {
	socketBuilder := NewSocketBuilder(addr, socketHandler)
	cRWCHandler := crcrs.New(socketBuilder)

	c := crc.New(clientHandler, cRWCHandler)

	return c
}
